# Patch Channel

> Channels API · Channels

```http
PATCH /api/channels/{channel_id}/
```

Update channel displayName or state.

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `channel_id` | string | Yes | — |

## Request body

Content type: `application/json` · **Required**

- `metadata` · object · Optional
  - One of the following variants:
    - **ChannelMetadataPatch** (object)
      - `displayName` · object · Optional
        - One of the following variants:
          - **string** (string)
          - **null** (null)
    - **null** (null)
- `spec` · object · Optional
  - One of the following variants:
    - **ChannelSpecPatch** (object)
      - `state` · object · Optional
        - One of the following variants:
          - **DesiredState** (enum)
          - **null** (null)
    - **null** (null)

## Example request

```bash
curl -X PATCH "/api/channels/{channel_id}/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
  "metadata": {
    "displayName": "string"
  },
  "spec": {
    "state": "Running"
  }
}'
```

## Responses

### 200 — Successful Response

- `kind` · string · Optional · _Defaults to BeamChannel_
- `metadata` · object · **Required**
  - `name` · string · **Required** · _1-64 characters_
  - `displayName` · string · **Required** · _1-255 characters_
  - `created` · string · **Required** · _format: date-time_
- `spec` · object · Optional
  - One of the following variants:
    - **ChannelSpec** (object)
      - `type` · enum · **Required**
        - Allowed values: `EncodingContribution`, `EncodingDistribution`, `ReceptionDecoding`, `ReceptionGateway`, `EncodingStreaming`
      - `state` · enum · Optional · _Defaults to Stopped_
        - Allowed values: `Running`, `Stopped`
      - `inputs` · list of objects · Optional · _Defaults to []_
        - Array items (object):
          - One of the following variants, selected by `type`:
            - **SRTCaller** (object)
              - `type` · string · Optional · _Defaults to SRTCaller_
              - `name` · string · **Required** · _1-32 characters_
              - `transport` · object · **Required**
                - `url` · string · **Required** · _<=2048 characters_ · _pattern: ^srt://_
                - `interface` · object · Optional
                  - One of the following variants:
                    - **string** (string)
                    - **null** (null)
                - `latency` · double · Optional · _0.06 to 8_ · _Defaults to 0.125_
                - `encryptionStandard` · enum · Optional · _Defaults to None_
                  - Allowed values: `Unsynced`, `None`, `AES128`, `AES192`, `AES256`
                - `passPhrase` · object · Optional
                  - One of the following variants:
                    - **string** (string)
                    - **null** (null)
              - `payload` · object · Optional
                - One of the following variants:
                  - **MptsPayload** (object)
                    - `programNumber` · string · **Required** · _pattern: ^(Auto|[1-9]\d*)$_ · _Defaults to Auto_
                    - `delayMode` · enum · Optional · _Defaults to Standard_
                      - Allowed values: `Unsynced`, `Standard`, `Low`, `SuperLow`
                    - `video` · object · **Required**
                      - `pid` · string · **Required** · _pattern: ^(Auto|[1-9]\d*)$_
                    - `audios` · list of objects · Optional · _0-8 items_ · _Defaults to []_
                      - Array items (object):
                        - `name` · string · **Required** · _1-32 characters_
                        - `mode` · enum · **Required**
                          - Allowed values: `stereo`, `16`, `5.1`, `passthrough`
                        - `pid` · string · **Required** · _pattern: ^(Auto|[1-9]\d*)$_
                    - `audioAutoSelect` · boolean · **Required**
                    - `resolutionMode` · enum · **Required**
                      - Allowed values: `UHD`, `HDSD`
                  - **null** (null)
              - `decrypt` · object · Optional
                - One of the following variants:
                  - **DecryptConfig** (object)
                    - `type` · enum · Optional · _Defaults to None_
                      - Allowed values: `Unsynced`, `None`, `BISS`, `BISSCA`, `DVBCI`
                    - `bissMode` · object · Optional
                      - One of the following variants:
                        - **BissMode** (enum)
                        - **null** (null)
                    - `bissKey` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                    - `bissInjectedKeyId` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                    - `camUrl` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                  - **null** (null)
            - **SRTListener** (object)
              - `type` · string · Optional · _Defaults to SRTListener_
              - `name` · string · **Required** · _1-32 characters_
              - `transport` · object · **Required**
                - `interface` · string · **Required** · _<=32 characters_
                - `port` · integer · **Required** · _256 to 65535_ — Port number
                - `latency` · double · Optional · _0.06 to 8_ · _Defaults to 0.125_
                - `encryptionStandard` · enum · Optional · _Defaults to None_
                  - Allowed values: `Unsynced`, `None`, `AES128`, `AES192`, `AES256`
                - `passPhrase` · object · Optional
                  - One of the following variants:
                    - **string** (string)
                    - **null** (null)
              - `payload` · object · Optional
                - One of the following variants:
                  - **MptsPayload** (object)
                    - `programNumber` · string · **Required** · _pattern: ^(Auto|[1-9]\d*)$_ · _Defaults to Auto_
                    - `delayMode` · enum · Optional · _Defaults to Standard_
                      - Allowed values: `Unsynced`, `Standard`, `Low`, `SuperLow`
                    - `video` · object · **Required**
                      - `pid` · string · **Required** · _pattern: ^(Auto|[1-9]\d*)$_
                    - `audios` · list of objects · Optional · _0-8 items_ · _Defaults to []_
                      - Array items (object):
                        - `name` · string · **Required** · _1-32 characters_
                        - `mode` · enum · **Required**
                          - Allowed values: `stereo`, `16`, `5.1`, `passthrough`
                        - `pid` · string · **Required** · _pattern: ^(Auto|[1-9]\d*)$_
                    - `audioAutoSelect` · boolean · **Required**
                    - `resolutionMode` · enum · **Required**
                      - Allowed values: `UHD`, `HDSD`
                  - **null** (null)
              - `decrypt` · object · Optional
                - One of the following variants:
                  - **DecryptConfig** (object)
                    - `type` · enum · Optional · _Defaults to None_
                      - Allowed values: `Unsynced`, `None`, `BISS`, `BISSCA`, `DVBCI`
                    - `bissMode` · object · Optional
                      - One of the following variants:
                        - **BissMode** (enum)
                        - **null** (null)
                    - `bissKey` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                    - `bissInjectedKeyId` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                    - `camUrl` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                  - **null** (null)
            - **UDP** (object)
              - `type` · string · Optional · _Defaults to UDP_
              - `name` · string · **Required** · _1-32 characters_
              - `transport` · object · **Required**
                - `url` · string · **Required** · _<=128 characters_ — udp://[sourceAddress@]destinationAddress:port. sourceAddress is optional and enables source-specific multicast filtering (currently only applied by CP inputs).
                - `interface` · string · **Required** · _<=32 characters_
              - `payload` · object · Optional
                - One of the following variants:
                  - **MptsPayload** (object)
                    - `programNumber` · string · **Required** · _pattern: ^(Auto|[1-9]\d*)$_ · _Defaults to Auto_
                    - `delayMode` · enum · Optional · _Defaults to Standard_
                      - Allowed values: `Unsynced`, `Standard`, `Low`, `SuperLow`
                    - `video` · object · **Required**
                      - `pid` · string · **Required** · _pattern: ^(Auto|[1-9]\d*)$_
                    - `audios` · list of objects · Optional · _0-8 items_ · _Defaults to []_
                      - Array items (object):
                        - `name` · string · **Required** · _1-32 characters_
                        - `mode` · enum · **Required**
                          - Allowed values: `stereo`, `16`, `5.1`, `passthrough`
                        - `pid` · string · **Required** · _pattern: ^(Auto|[1-9]\d*)$_
                    - `audioAutoSelect` · boolean · **Required**
                    - `resolutionMode` · enum · **Required**
                      - Allowed values: `UHD`, `HDSD`
                  - **null** (null)
              - `decrypt` · object · Optional
                - One of the following variants:
                  - **DecryptConfig** (object)
                    - `type` · enum · Optional · _Defaults to None_
                      - Allowed values: `Unsynced`, `None`, `BISS`, `BISSCA`, `DVBCI`
                    - `bissMode` · object · Optional
                      - One of the following variants:
                        - **BissMode** (enum)
                        - **null** (null)
                    - `bissKey` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                    - `bissInjectedKeyId` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                    - `camUrl` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                  - **null** (null)
            - **ASI** (object)
              - `type` · string · Optional · _Defaults to ASI_
              - `name` · string · **Required** · _1-32 characters_
              - `transport` · object · **Required**
                - `url` · string · **Required** · _<=128 characters_ · _pattern: ^asi://_
                - `tsPacketSize` · object · Optional
                  - One of the following variants:
                    - **TsPacketSize** (enum)
                    - **null** (null)
              - `payload` · object · Optional
                - One of the following variants:
                  - **MptsPayload** (object)
                    - `programNumber` · string · **Required** · _pattern: ^(Auto|[1-9]\d*)$_ · _Defaults to Auto_
                    - `delayMode` · enum · Optional · _Defaults to Standard_
                      - Allowed values: `Unsynced`, `Standard`, `Low`, `SuperLow`
                    - `video` · object · **Required**
                      - `pid` · string · **Required** · _pattern: ^(Auto|[1-9]\d*)$_
                    - `audios` · list of objects · Optional · _0-8 items_ · _Defaults to []_
                      - Array items (object):
                        - `name` · string · **Required** · _1-32 characters_
                        - `mode` · enum · **Required**
                          - Allowed values: `stereo`, `16`, `5.1`, `passthrough`
                        - `pid` · string · **Required** · _pattern: ^(Auto|[1-9]\d*)$_
                    - `audioAutoSelect` · boolean · **Required**
                    - `resolutionMode` · enum · **Required**
                      - Allowed values: `UHD`, `HDSD`
                  - **null** (null)
              - `decrypt` · object · Optional
                - One of the following variants:
                  - **DecryptConfig** (object)
                    - `type` · enum · Optional · _Defaults to None_
                      - Allowed values: `Unsynced`, `None`, `BISS`, `BISSCA`, `DVBCI`
                    - `bissMode` · object · Optional
                      - One of the following variants:
                        - **BissMode** (enum)
                        - **null** (null)
                    - `bissKey` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                    - `bissInjectedKeyId` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                    - `camUrl` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                  - **null** (null)
            - **SatDemod** (object)
              - `type` · string · Optional · _Defaults to SatDemod_
              - `name` · string · **Required** · _1-32 characters_
              - `transport` · object · **Required**
                - `url` · string · **Required** · _<=128 characters_ · _pattern: ^rfdemod://_
                - `lnbVoltage` · enum · Optional · _Defaults to Off_
                  - Allowed values: `Unsynced`, `Off`, `13V`, `18V`
                - `lnbToneEnabled` · boolean · Optional · _Defaults to false_
                - `tunerSymbolRateSps` · integer · **Required** · _0 to 95000000_
                - `tunerSearchRangeHz` · integer · Optional · _2000000 to 10000000_ · _Defaults to 2000000_
                - `tunerMISEnabled` · boolean · Optional · _Defaults to false_
                - `tunerGoldCode` · integer · Optional · _0 to 262142_ · _Defaults to 0_
                - `lnbFrequencyHz` · integer · **Required** · _0 to 18000000000_
                - `tunerFrequencyHz` · integer · **Required** · _0 to 18000000000_
                - `tunerMISStreamId` · object · Optional
                  - One of the following variants:
                    - **integer** (integer)
                    - **null** (null)
              - `payload` · object · Optional
                - One of the following variants:
                  - **MptsPayload** (object)
                    - `programNumber` · string · **Required** · _pattern: ^(Auto|[1-9]\d*)$_ · _Defaults to Auto_
                    - `delayMode` · enum · Optional · _Defaults to Standard_
                      - Allowed values: `Unsynced`, `Standard`, `Low`, `SuperLow`
                    - `video` · object · **Required**
                      - `pid` · string · **Required** · _pattern: ^(Auto|[1-9]\d*)$_
                    - `audios` · list of objects · Optional · _0-8 items_ · _Defaults to []_
                      - Array items (object):
                        - `name` · string · **Required** · _1-32 characters_
                        - `mode` · enum · **Required**
                          - Allowed values: `stereo`, `16`, `5.1`, `passthrough`
                        - `pid` · string · **Required** · _pattern: ^(Auto|[1-9]\d*)$_
                    - `audioAutoSelect` · boolean · **Required**
                    - `resolutionMode` · enum · **Required**
                      - Allowed values: `UHD`, `HDSD`
                  - **null** (null)
              - `decrypt` · object · Optional
                - One of the following variants:
                  - **DecryptConfig** (object)
                    - `type` · enum · Optional · _Defaults to None_
                      - Allowed values: `Unsynced`, `None`, `BISS`, `BISSCA`, `DVBCI`
                    - `bissMode` · object · Optional
                      - One of the following variants:
                        - **BissMode** (enum)
                        - **null** (null)
                    - `bissKey` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                    - `bissInjectedKeyId` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                    - `camUrl` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                  - **null** (null)
            - **Smpte2110** (object)
              - `type` · string · Optional · _Defaults to Smpte2110_
              - `name` · string · **Required** · _1-32 characters_
              - `transport` · object · **Required**
                - `interface` · object · Optional
                  - One of the following variants:
                    - **string** (string)
                    - **null** (null)
                - `nmosEnabled` · boolean · Optional · _Defaults to false_
              - `payload` · object · Optional
                - One of the following variants:
                  - **Smpte2110Payload** (object)
                    - `video` · object · Optional
                      - One of the following variants:
                        - **Smpte2110VideoInputEssence** (object)
                          - `type` · string · Optional · _Defaults to video_
                          - `transportFile` · object · Optional
                            - One of the following variants:
                              - **TransportFile** (object)
                                - `data` · string · **Required** · _<=8192 characters_ — Raw file contents; expects SDP format by default.
                              - **null** (null)
                          - `sdpUrl` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `streamIndex` · integer · Optional · _>=1_ · _Defaults to 1_
                        - **null** (null)
                    - `audios` · list of objects · Optional · _Defaults to []_
                      - Array items (object):
                        - `type` · string · Optional · _Defaults to audio_
                        - `transportFile` · object · Optional
                          - One of the following variants:
                            - **TransportFile** (object)
                              - `data` · string · **Required** · _<=8192 characters_ — Raw file contents; expects SDP format by default.
                            - **null** (null)
                        - `sdpUrl` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `streamIndex` · integer · Optional · _>=1_ · _Defaults to 1_
                        - `channelGroupIndex` · integer · Optional · _>=1_ · _Defaults to 1_
                        - `name` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                  - **null** (null)
            - **SDI** (object)
              - `type` · string · Optional · _Defaults to SDI_
              - `name` · string · **Required** · _1-32 characters_
              - `transport` · object · **Required**
                - `url` · string · **Required** · _<=128 characters_ · _pattern: ^sdi://_
              - `payload` · object · Optional
                - One of the following variants:
                  - **SdiPayload** (object)
                    - `audios` · list of objects · Optional · _Defaults to []_
                      - Array items (object):
                        - `name` · string · **Required** · _1-32 characters_
                        - `aggregation` · object · Optional · _Defaults to {"type":"None","pair":"G1P1"}_
                          - One of the following variants, selected by `type`:
                            - **None** (object)
                              - `type` · string · Optional · _Defaults to None_
                              - `pair` · enum · **Required** · _Defaults to G1P1_
                                - Allowed values: `Unsynced`, `G1P1`, `G1P2`, `G2P1`, `G2P2`, `G3P1`, `G3P2`, `G4P1`, `G4P2`
                  - **null** (null)
            - **Unsynced** (object)
              - `type` · string · Optional · _Defaults to Unsynced_
              - `name` · string · **Required** · _1-32 characters_
              - `unsupportedValue` · string · Optional · _Defaults to _
      - `transform` · object · Optional
        - One of the following variants:
          - **TransformConfig** (object)
            - `encoding` · object · Optional
              - One of the following variants:
                - **EncodingConfig** (object)
                  - `video` · object · **Required**
                    - `codec` · enum · **Required** · _Defaults to H264High_
                      - Allowed values: `Unsynced`, `HEVCMain`, `HEVCMain10bit`, `HEVCMain422`, `HEVCMain10bit422`, `H264Main`, `H264High`, `H264High422`, `H264High10bit`, `H264High10bit422`, `H264Baseline`, `MPEG2`, `MPEG2422`, `JPEGXS`, `JPEGXS10bit`
                    - `videoFormat` · enum · **Required** · _Defaults to 1920x1080p_
                      - Allowed values: `Unsynced`, `3840x2160p`, `1920x1080p`, `1920x1080i`, `1440x1080p`, `1440x1080i`, `1280x1080p`, `1280x1080i`, `960x1080p`, `960x1080i`, `1280x720p`, `960x720p`, `854x720p`, `848x720p`, `640x720p`, `720x576p`, `720x576i`, `704x576p`, `704x576i`, `544x576p`, `544x576i`, `528x576p`, `528x576i`, `480x576p`, `480x576i`, `352x576p`, `352x576i`, `720x480p`, `720x480i`, `704x480p`, `704x480i`, `640x480p`, `640x480i`, `544x480p`, `544x480i`, `528x480p`, `528x480i`, `480x480p`, `480x480i`, `352x480p`, `352x480i`, `352x288p`, `320x240p`, `192x192p`, `176x144p`, `176x120p`, `128x96p`, `96x96p`
                    - `bitrate` · integer · **Required** · _100000 to 4000000000_ · _Defaults to 6000000_
                    - `frameRate` · object · Optional · _Defaults to TrueMotion_
                      - One of the following variants:
                        - **FrameRate** (enum)
                        - **null** (null)
                  - `audios` · list of objects · Optional · _Defaults to []_
                    - Array items (object):
                      - `name` · object · Optional
                        - One of the following variants:
                          - **string** (string)
                          - **null** (null)
                      - `inputName` · object · Optional
                        - One of the following variants:
                          - **string** (string)
                          - **null** (null)
                      - `audioName` · object · Optional
                        - One of the following variants:
                          - **string** (string)
                          - **null** (null)
                      - `codec` · enum · **Required** · _Defaults to AC3_
                        - Allowed values: `Unsynced`, `PassThrough`, `SMPTE302PassThrough`, `MPEG1Layer2`, `AAC`, `HEAAC`, `HEAACv2`, `AC3`, `EAC3`, `AC4`
                      - `mode` · object · Optional · _Defaults to Stereo_
                        - One of the following variants:
                          - **AudioMode** (enum)
                          - **null** (null)
                      - `bitrate` · object · Optional · _Defaults to 192000_
                        - One of the following variants:
                          - **AudioBitrate** (enum)
                          - **null** (null)
                      - `ac4Config` · object · Optional
                        - One of the following variants:
                          - **Ac4Config** (object)
                            - `frameRate` · string · Optional · _<=16 characters_ · _Defaults to 25_
                            - `language` · string · Optional · _<=16 characters_ · _Defaults to auto_
                            - `contentClassifier` · enum · Optional · _Defaults to classCompleteMain_
                              - Allowed values: `Unsynced`, `classCompleteMain`, `classEmergency`, `classMusicEffect`, `classMainAssociatedMix`
                          - **null** (null)
                - **null** (null)
            - `abrEncoding` · object · Optional
              - One of the following variants:
                - **AbrEncodingConfig** (object)
                  - `representations` · list of objects · Optional · _Defaults to []_
                    - Array items (object):
                      - `video` · object · **Required**
                        - `codec` · enum · **Required** · _Defaults to H264High_
                          - Allowed values: `Unsynced`, `HEVCMain`, `HEVCMain10bit`, `HEVCMain422`, `HEVCMain10bit422`, `H264Main`, `H264High`, `H264High422`, `H264High10bit`, `H264High10bit422`, `H264Baseline`, `MPEG2`, `MPEG2422`, `JPEGXS`, `JPEGXS10bit`
                        - `videoFormat` · enum · **Required** · _Defaults to 1920x1080p_
                          - Allowed values: `Unsynced`, `3840x2160p`, `1920x1080p`, `1920x1080i`, `1440x1080p`, `1440x1080i`, `1280x1080p`, `1280x1080i`, `960x1080p`, `960x1080i`, `1280x720p`, `960x720p`, `854x720p`, `848x720p`, `640x720p`, `720x576p`, `720x576i`, `704x576p`, `704x576i`, `544x576p`, `544x576i`, `528x576p`, `528x576i`, `480x576p`, `480x576i`, `352x576p`, `352x576i`, `720x480p`, `720x480i`, `704x480p`, `704x480i`, `640x480p`, `640x480i`, `544x480p`, `544x480i`, `528x480p`, `528x480i`, `480x480p`, `480x480i`, `352x480p`, `352x480i`, `352x288p`, `320x240p`, `192x192p`, `176x144p`, `176x120p`, `128x96p`, `96x96p`
                        - `bitrate` · integer · **Required** · _100000 to 4000000000_ · _Defaults to 6000000_
                        - `frameRate` · object · Optional · _Defaults to TrueMotion_
                          - One of the following variants:
                            - **FrameRate** (enum)
                            - **null** (null)
                      - `audios` · list of objects · Optional · _Defaults to []_
                        - Array items (object):
                          - `name` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `inputName` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `audioName` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `codec` · enum · **Required** · _Defaults to AC3_
                            - Allowed values: `Unsynced`, `PassThrough`, `SMPTE302PassThrough`, `MPEG1Layer2`, `AAC`, `HEAAC`, `HEAACv2`, `AC3`, `EAC3`, `AC4`
                          - `mode` · object · Optional · _Defaults to Stereo_
                            - One of the following variants:
                              - **AudioMode** (enum)
                              - **null** (null)
                          - `bitrate` · object · Optional · _Defaults to 192000_
                            - One of the following variants:
                              - **AudioBitrate** (enum)
                              - **null** (null)
                          - `ac4Config` · object · Optional
                            - One of the following variants:
                              - **Ac4Config** (object)
                                - `frameRate` · string · Optional · _<=16 characters_ · _Defaults to 25_
                                - `language` · string · Optional · _<=16 characters_ · _Defaults to auto_
                                - `contentClassifier` · enum · Optional · _Defaults to classCompleteMain_
                                  - Allowed values: `Unsynced`, `classCompleteMain`, `classEmergency`, `classMusicEffect`, `classMainAssociatedMix`
                              - **null** (null)
                  - `sharedAudios` · list of objects · Optional · _Defaults to []_
                    - Array items (object):
                      - `name` · object · Optional
                        - One of the following variants:
                          - **string** (string)
                          - **null** (null)
                      - `inputName` · object · Optional
                        - One of the following variants:
                          - **string** (string)
                          - **null** (null)
                      - `audioName` · object · Optional
                        - One of the following variants:
                          - **string** (string)
                          - **null** (null)
                      - `codec` · enum · **Required** · _Defaults to AC3_
                        - Allowed values: `Unsynced`, `PassThrough`, `SMPTE302PassThrough`, `MPEG1Layer2`, `AAC`, `HEAAC`, `HEAACv2`, `AC3`, `EAC3`, `AC4`
                      - `mode` · object · Optional · _Defaults to Stereo_
                        - One of the following variants:
                          - **AudioMode** (enum)
                          - **null** (null)
                      - `bitrate` · object · Optional · _Defaults to 192000_
                        - One of the following variants:
                          - **AudioBitrate** (enum)
                          - **null** (null)
                      - `ac4Config` · object · Optional
                        - One of the following variants:
                          - **Ac4Config** (object)
                            - `frameRate` · string · Optional · _<=16 characters_ · _Defaults to 25_
                            - `language` · string · Optional · _<=16 characters_ · _Defaults to auto_
                            - `contentClassifier` · enum · Optional · _Defaults to classCompleteMain_
                              - Allowed values: `Unsynced`, `classCompleteMain`, `classEmergency`, `classMusicEffect`, `classMainAssociatedMix`
                          - **null** (null)
                - **null** (null)
            - `multiplexing` · object · Optional
              - One of the following variants:
                - **MultiplexingConfig** (object)
                  - `enabled` · boolean · Optional · _Defaults to false_
                - **null** (null)
          - **null** (null)
      - `outputs` · list of objects · Optional · _Defaults to []_
        - Array items (object):
          - One of the following variants, selected by `type`:
            - **SRTCaller** (object)
              - `type` · string · Optional · _Defaults to SRTCaller_
              - `transport` · object · **Required**
                - `url` · string · **Required** · _<=2048 characters_ · _pattern: ^srt://_
                - `latency` · double · Optional · _0.06 to 8_ · _Defaults to 0.125_
                - `encryptionStandard` · enum · Optional · _Defaults to None_
                  - Allowed values: `Unsynced`, `None`, `AES128`, `AES192`, `AES256`
                - `passPhrase` · object · Optional
                  - One of the following variants:
                    - **string** (string)
                    - **null** (null)
            - **SRTListener** (object)
              - `type` · string · Optional · _Defaults to SRTListener_
              - `transport` · object · **Required**
                - `interface` · string · **Required** · _<=32 characters_
                - `port` · integer · **Required** · _256 to 65535_ — Port number
                - `maxConnections` · integer · Optional · _>=1_ · _Defaults to 10_
                - `latency` · double · Optional · _0.06 to 8_ · _Defaults to 0.125_
                - `encryptionStandard` · enum · Optional · _Defaults to None_
                  - Allowed values: `Unsynced`, `None`, `AES128`, `AES192`, `AES256`
                - `passPhrase` · object · Optional
                  - One of the following variants:
                    - **string** (string)
                    - **null** (null)
            - **UDP** (object)
              - `type` · string · Optional · _Defaults to UDP_
              - `transport` · object · **Required**
                - `url` · string · **Required** · _<=128 characters_ — udp://[sourceAddress@]destinationAddress:port. sourceAddress is optional and enables source-specific multicast filtering (currently only applied by CP inputs).
                - `interface` · string · **Required** · _<=32 characters_
                - `sourceAddress` · object · Optional
                  - One of the following variants:
                    - **string** (string)
                    - **null** (null)
                - `sourcePort` · object · Optional
                  - One of the following variants:
                    - **integer** (integer)
                    - **null** (null)
            - **ASI** (object)
              - `type` · string · Optional · _Defaults to ASI_
              - `name` · object · Optional
                - One of the following variants:
                  - **string** (string)
                  - **null** (null)
              - `transport` · object · **Required**
                - `url` · string · **Required** · _<=128 characters_ · _pattern: ^asi://_
            - **RF** (object)
              - `type` · string · Optional · _Defaults to RF_
            - **SDI** (object)
              - `type` · string · Optional · _Defaults to SDI_
              - `transport` · object · **Required**
                - `url` · string · **Required** · _<=128 characters_ · _pattern: ^sdi://_
                - `linkMode` · object · Optional
                  - One of the following variants:
                    - **SDIUHDLinkMode** (enum)
                    - **null** (null)
              - `processing` · object · Optional
                - One of the following variants:
                  - **OutputProcessing** (object)
                    - `videoScaling` · object · Optional
                      - One of the following variants:
                        - **VideoScaling** (enum)
                        - **null** (null)
                    - `dynamicRangeConversion` · enum · Optional · _Defaults to None_
                      - Allowed values: `Unsynced`, `None`, `BT709`
                  - **null** (null)
              - `payload` · object · Optional
                - One of the following variants:
                  - **SdiOutputPayload** (object)
                    - `audios` · list of objects · Optional · _Defaults to []_
                      - Array items (object):
                        - `inputName` · string · **Required** · _1-32 characters_
                        - `audioInputName` · string · **Required** · _1-32 characters_
                        - `embedding` · enum · **Required**
                          - Allowed values: `Unsynced`, `G1P1`, `G1P2`, `G2P1`, `G2P2`, `G3P1`, `G3P2`, `G4P1`, `G4P2`, `G1P1ToG2P1`, `G1P2ToG2P2`, `G2P1ToG3P1`, `G2P2ToG3P2`, `G3P1ToG4P1`, `G3P2ToG4P2`, `G1P1ToG4P2`
                  - **null** (null)
            - **HttpStreaming** (object)
              - `type` · string · Optional · _Defaults to HttpStreaming_
            - **Smpte2110** (object)
              - `type` · string · Optional · _Defaults to Smpte2110_
              - `transports` · list of objects · **Required**
                - Array items (object):
                  - `name` · string · **Required** · _1-32 characters_
                  - `interface` · string · **Required** · _<=32 characters_
                  - `destinationAddress` · string · **Required** · _format: ipv4_
                  - `destinationPort` · integer · **Required** · _1024 to 65535_ — Port number
                  - `sourcePort` · object · Optional
                    - One of the following variants:
                      - **integer** (integer)
                      - **null** (null)
              - `processing` · object · Optional
                - One of the following variants:
                  - **OutputProcessing** (object)
                    - `videoScaling` · object · Optional
                      - One of the following variants:
                        - **VideoScaling** (enum)
                        - **null** (null)
                    - `dynamicRangeConversion` · enum · Optional · _Defaults to None_
                      - Allowed values: `Unsynced`, `None`, `BT709`
                  - **null** (null)
              - `payload` · object · **Required**
                - `essences` · list of objects · **Required**
                  - Array items (object):
                    - One of the following variants, selected by `essenceType`:
                      - **Video** (object)
                        - `essenceType` · string · Optional · _Defaults to Video_
                        - `transportName` · string · **Required** · _1-32 characters_
                      - **AudioAES3** (object)
                        - `essenceType` · enum · Optional · _Defaults to AudioPCM_
                          - Allowed values: `AudioPCM`, `AudioAES3`
                        - `transportName` · string · **Required** · _1-32 characters_
                        - `packetTime` · enum · Optional · _Defaults to PT_1ms_
                          - Allowed values: `PT_1ms`, `PT_125us`
                        - `audios` · list of objects · Optional · _0-32 items_ · _Defaults to []_
                          - Array items (object):
                            - `inputName` · string · **Required** · _1-32 characters_
                            - `audioInputName` · string · **Required** · _1-32 characters_
                      - **AudioPCM** (object)
                        - `essenceType` · enum · Optional · _Defaults to AudioPCM_
                          - Allowed values: `AudioPCM`, `AudioAES3`
                        - `transportName` · string · **Required** · _1-32 characters_
                        - `packetTime` · enum · Optional · _Defaults to PT_1ms_
                          - Allowed values: `PT_1ms`, `PT_125us`
                        - `audios` · list of objects · Optional · _0-32 items_ · _Defaults to []_
                          - Array items (object):
                            - `inputName` · string · **Required** · _1-32 characters_
                            - `audioInputName` · string · **Required** · _1-32 characters_
            - **Unsynced** (object)
              - `type` · string · Optional · _Defaults to Unsynced_
              - `unsupportedValue` · string · Optional · _Defaults to _
    - **null** (null)
- `status` · object · Optional
  - One of the following variants:
    - **ChannelStatus** (object)
      - `state` · enum · Optional · _Defaults to Stopped_
        - Allowed values: `Running`, `Stopped`
      - `health` · object · Optional · _Defaults to {"severity":"Clear"}_
        - `severity` · enum · **Required**
          - Allowed values: `Critical`, `Major`, `Minor`, `Notice`, `Ignore`, `Clear`
      - `inputs` · list of objects · Optional · _Defaults to []_
        - Array items (object):
          - One of the following variants, selected by `type`:
            - **SRTCaller** (object)
              - `health` · object · **Required**
                - `severity` · enum · **Required**
                  - Allowed values: `Critical`, `Major`, `Minor`, `Notice`, `Ignore`, `Clear`
              - `name` · string · **Required** · _1-32 characters_
              - `thumbnailUrl` · object · Optional
                - One of the following variants:
                  - **string** (string)
                  - **null** (null)
              - `thumbnailPresence` · enum · Optional · _Defaults to Unknown_
                - Allowed values: `Unsynced`, `Present`, `Absent`, `Unknown`
              - `metadataUrl` · object · Optional
                - One of the following variants:
                  - **string** (string)
                  - **null** (null)
              - `payload` · object · Optional
                - One of the following variants:
                  - **InputMptsPayloadStatus** (object)
                    - `videoStandard` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                    - `video` · object · Optional
                      - One of the following variants:
                        - **InputPayloadVideo** (object)
                          - `width` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `height` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `resolution` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `frameRate` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `interlaced` · object · Optional
                            - One of the following variants:
                              - **boolean** (boolean)
                              - **null** (null)
                          - `codec` · object · Optional
                            - One of the following variants:
                              - **VideoCodecStatus** (enum)
                              - **string** (string)
                              - **null** (null)
                          - `bitrate` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `chromaFormat` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `bitDepth` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `aspectRatio` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `quality` · object · Optional
                            - One of the following variants:
                              - **number** (double)
                              - **null** (null)
                        - **null** (null)
                    - `audios` · list of objects · Optional · _Defaults to []_
                      - Array items (object):
                        - `name` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `pid` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `codec` · object · Optional
                          - One of the following variants:
                            - **AudioCodecStatus** (enum)
                            - **string** (string)
                            - **null** (null)
                        - `channelCount` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `channelMode` · object · Optional
                          - One of the following variants:
                            - **AudioModeStatus** (enum)
                            - **string** (string)
                            - **null** (null)
                        - `language` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `samplingRate` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `bitrate` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                    - `services` · list of objects · Optional · _Defaults to []_
                      - Array items (object):
                        - `programNumber` · integer · **Required**
                        - `serviceName` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `providerName` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `selected` · boolean · Optional · _Defaults to false_
                        - `pmtPid` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `pcrPid` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `elementaryStreams` · list of objects · Optional · _Defaults to []_
                          - Array items (object):
                            - `pid` · integer · **Required**
                            - `streamType` · integer · **Required**
                            - `type` · string · **Required**
                            - `language` · object · Optional
                              - One of the following variants:
                                - **string** (string)
                                - **null** (null)
                  - **null** (null)
              - `type` · string · Optional · _Defaults to SRTCaller_
              - `transport` · object · Optional
                - One of the following variants:
                  - **SrtCallerInputTransportStatus** (object)
                    - `receiving` · boolean · **Required**
                    - `bitrate` · object · Optional
                      - One of the following variants:
                        - **integer** (integer)
                        - **null** (null)
                    - `activeConnections` · object · Optional
                      - One of the following variants:
                        - **integer** (integer)
                        - **null** (null)
                    - `connections` · object · Optional
                      - One of the following variants:
                        - **array** (list of objects)
                          - Array items (object):
                            - `remoteAddress` · object · Optional
                              - One of the following variants:
                                - **string** (string)
                                - **null** (null)
                            - `recvBitrateMbps` · object · Optional
                              - One of the following variants:
                                - **number** (double)
                                - **null** (null)
                            - `rttMs` · object · Optional
                              - One of the following variants:
                                - **number** (double)
                                - **null** (null)
                            - `bandwidthMbps` · object · Optional
                              - One of the following variants:
                                - **number** (double)
                                - **null** (null)
                            - `packetsLost` · object · Optional
                              - One of the following variants:
                                - **integer** (integer)
                                - **null** (null)
                        - **null** (null)
                    - `etr290` · object · Optional
                      - One of the following variants:
                        - **Etr290Stats** (object)
                          - `ccError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `tsSyncLoss` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `syncByteError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `transportError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `pmtError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `pidError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                        - **null** (null)
                  - **null** (null)
            - **SRTListener** (object)
              - `health` · object · **Required**
                - `severity` · enum · **Required**
                  - Allowed values: `Critical`, `Major`, `Minor`, `Notice`, `Ignore`, `Clear`
              - `name` · string · **Required** · _1-32 characters_
              - `thumbnailUrl` · object · Optional
                - One of the following variants:
                  - **string** (string)
                  - **null** (null)
              - `thumbnailPresence` · enum · Optional · _Defaults to Unknown_
                - Allowed values: `Unsynced`, `Present`, `Absent`, `Unknown`
              - `metadataUrl` · object · Optional
                - One of the following variants:
                  - **string** (string)
                  - **null** (null)
              - `payload` · object · Optional
                - One of the following variants:
                  - **InputMptsPayloadStatus** (object)
                    - `videoStandard` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                    - `video` · object · Optional
                      - One of the following variants:
                        - **InputPayloadVideo** (object)
                          - `width` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `height` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `resolution` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `frameRate` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `interlaced` · object · Optional
                            - One of the following variants:
                              - **boolean** (boolean)
                              - **null** (null)
                          - `codec` · object · Optional
                            - One of the following variants:
                              - **VideoCodecStatus** (enum)
                              - **string** (string)
                              - **null** (null)
                          - `bitrate` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `chromaFormat` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `bitDepth` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `aspectRatio` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `quality` · object · Optional
                            - One of the following variants:
                              - **number** (double)
                              - **null** (null)
                        - **null** (null)
                    - `audios` · list of objects · Optional · _Defaults to []_
                      - Array items (object):
                        - `name` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `pid` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `codec` · object · Optional
                          - One of the following variants:
                            - **AudioCodecStatus** (enum)
                            - **string** (string)
                            - **null** (null)
                        - `channelCount` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `channelMode` · object · Optional
                          - One of the following variants:
                            - **AudioModeStatus** (enum)
                            - **string** (string)
                            - **null** (null)
                        - `language` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `samplingRate` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `bitrate` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                    - `services` · list of objects · Optional · _Defaults to []_
                      - Array items (object):
                        - `programNumber` · integer · **Required**
                        - `serviceName` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `providerName` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `selected` · boolean · Optional · _Defaults to false_
                        - `pmtPid` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `pcrPid` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `elementaryStreams` · list of objects · Optional · _Defaults to []_
                          - Array items (object):
                            - `pid` · integer · **Required**
                            - `streamType` · integer · **Required**
                            - `type` · string · **Required**
                            - `language` · object · Optional
                              - One of the following variants:
                                - **string** (string)
                                - **null** (null)
                  - **null** (null)
              - `type` · string · Optional · _Defaults to SRTListener_
              - `transport` · object · Optional
                - One of the following variants:
                  - **SrtListenerInputTransportStatus** (object)
                    - `receiving` · boolean · **Required**
                    - `bitrate` · object · Optional
                      - One of the following variants:
                        - **integer** (integer)
                        - **null** (null)
                    - `activeConnections` · object · Optional
                      - One of the following variants:
                        - **integer** (integer)
                        - **null** (null)
                    - `connections` · object · Optional
                      - One of the following variants:
                        - **array** (list of objects)
                          - Array items (object):
                            - `remoteAddress` · object · Optional
                              - One of the following variants:
                                - **string** (string)
                                - **null** (null)
                            - `recvBitrateMbps` · object · Optional
                              - One of the following variants:
                                - **number** (double)
                                - **null** (null)
                            - `rttMs` · object · Optional
                              - One of the following variants:
                                - **number** (double)
                                - **null** (null)
                            - `bandwidthMbps` · object · Optional
                              - One of the following variants:
                                - **number** (double)
                                - **null** (null)
                            - `packetsLost` · object · Optional
                              - One of the following variants:
                                - **integer** (integer)
                                - **null** (null)
                        - **null** (null)
                    - `etr290` · object · Optional
                      - One of the following variants:
                        - **Etr290Stats** (object)
                          - `ccError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `tsSyncLoss` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `syncByteError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `transportError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `pmtError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `pidError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                        - **null** (null)
                  - **null** (null)
            - **UDP** (object)
              - `health` · object · **Required**
                - `severity` · enum · **Required**
                  - Allowed values: `Critical`, `Major`, `Minor`, `Notice`, `Ignore`, `Clear`
              - `name` · string · **Required** · _1-32 characters_
              - `thumbnailUrl` · object · Optional
                - One of the following variants:
                  - **string** (string)
                  - **null** (null)
              - `thumbnailPresence` · enum · Optional · _Defaults to Unknown_
                - Allowed values: `Unsynced`, `Present`, `Absent`, `Unknown`
              - `metadataUrl` · object · Optional
                - One of the following variants:
                  - **string** (string)
                  - **null** (null)
              - `payload` · object · Optional
                - One of the following variants:
                  - **InputMptsPayloadStatus** (object)
                    - `videoStandard` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                    - `video` · object · Optional
                      - One of the following variants:
                        - **InputPayloadVideo** (object)
                          - `width` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `height` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `resolution` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `frameRate` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `interlaced` · object · Optional
                            - One of the following variants:
                              - **boolean** (boolean)
                              - **null** (null)
                          - `codec` · object · Optional
                            - One of the following variants:
                              - **VideoCodecStatus** (enum)
                              - **string** (string)
                              - **null** (null)
                          - `bitrate` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `chromaFormat` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `bitDepth` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `aspectRatio` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `quality` · object · Optional
                            - One of the following variants:
                              - **number** (double)
                              - **null** (null)
                        - **null** (null)
                    - `audios` · list of objects · Optional · _Defaults to []_
                      - Array items (object):
                        - `name` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `pid` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `codec` · object · Optional
                          - One of the following variants:
                            - **AudioCodecStatus** (enum)
                            - **string** (string)
                            - **null** (null)
                        - `channelCount` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `channelMode` · object · Optional
                          - One of the following variants:
                            - **AudioModeStatus** (enum)
                            - **string** (string)
                            - **null** (null)
                        - `language` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `samplingRate` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `bitrate` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                    - `services` · list of objects · Optional · _Defaults to []_
                      - Array items (object):
                        - `programNumber` · integer · **Required**
                        - `serviceName` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `providerName` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `selected` · boolean · Optional · _Defaults to false_
                        - `pmtPid` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `pcrPid` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `elementaryStreams` · list of objects · Optional · _Defaults to []_
                          - Array items (object):
                            - `pid` · integer · **Required**
                            - `streamType` · integer · **Required**
                            - `type` · string · **Required**
                            - `language` · object · Optional
                              - One of the following variants:
                                - **string** (string)
                                - **null** (null)
                  - **null** (null)
              - `type` · string · Optional · _Defaults to UDP_
              - `transport` · object · Optional
                - One of the following variants:
                  - **UdpInputTransportStatus** (object)
                    - `receiving` · boolean · **Required**
                    - `bitrate` · object · Optional
                      - One of the following variants:
                        - **integer** (integer)
                        - **null** (null)
                    - `receivedPackets` · object · Optional
                      - One of the following variants:
                        - **integer** (integer)
                        - **null** (null)
                    - `etr290` · object · Optional
                      - One of the following variants:
                        - **Etr290Stats** (object)
                          - `ccError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `tsSyncLoss` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `syncByteError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `transportError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `pmtError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `pidError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                        - **null** (null)
                    - `fec` · object · Optional
                      - One of the following variants:
                        - **InputTransportFec** (object)
                          - `status` · object · Optional
                            - One of the following variants:
                              - **FecStatus** (enum)
                              - **string** (string)
                              - **null** (null)
                          - `correctedPackets` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `unrecoveredPackets` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                        - **null** (null)
                  - **null** (null)
            - **SDI** (object)
              - `health` · object · **Required**
                - `severity` · enum · **Required**
                  - Allowed values: `Critical`, `Major`, `Minor`, `Notice`, `Ignore`, `Clear`
              - `name` · string · **Required** · _1-32 characters_
              - `thumbnailUrl` · object · Optional
                - One of the following variants:
                  - **string** (string)
                  - **null** (null)
              - `thumbnailPresence` · enum · Optional · _Defaults to Unknown_
                - Allowed values: `Unsynced`, `Present`, `Absent`, `Unknown`
              - `metadataUrl` · object · Optional
                - One of the following variants:
                  - **string** (string)
                  - **null** (null)
              - `payload` · object · Optional
                - One of the following variants:
                  - **InputPayloadStatus** (object)
                    - `videoStandard` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                    - `video` · object · Optional
                      - One of the following variants:
                        - **InputPayloadVideo** (object)
                          - `width` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `height` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `resolution` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `frameRate` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `interlaced` · object · Optional
                            - One of the following variants:
                              - **boolean** (boolean)
                              - **null** (null)
                          - `codec` · object · Optional
                            - One of the following variants:
                              - **VideoCodecStatus** (enum)
                              - **string** (string)
                              - **null** (null)
                          - `bitrate` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `chromaFormat` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `bitDepth` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `aspectRatio` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `quality` · object · Optional
                            - One of the following variants:
                              - **number** (double)
                              - **null** (null)
                        - **null** (null)
                    - `audios` · list of objects · Optional · _Defaults to []_
                      - Array items (object):
                        - `name` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `pid` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `codec` · object · Optional
                          - One of the following variants:
                            - **AudioCodecStatus** (enum)
                            - **string** (string)
                            - **null** (null)
                        - `channelCount` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `channelMode` · object · Optional
                          - One of the following variants:
                            - **AudioModeStatus** (enum)
                            - **string** (string)
                            - **null** (null)
                        - `language` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `samplingRate` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `bitrate` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                  - **null** (null)
              - `type` · string · Optional · _Defaults to SDI_
              - `transport` · object · Optional
                - One of the following variants:
                  - **SdiInputTransportStatus** (object)
                    - `receiving` · boolean · **Required**
                  - **null** (null)
            - **Smpte2110** (object)
              - `health` · object · **Required**
                - `severity` · enum · **Required**
                  - Allowed values: `Critical`, `Major`, `Minor`, `Notice`, `Ignore`, `Clear`
              - `name` · string · **Required** · _1-32 characters_
              - `thumbnailUrl` · object · Optional
                - One of the following variants:
                  - **string** (string)
                  - **null** (null)
              - `thumbnailPresence` · enum · Optional · _Defaults to Unknown_
                - Allowed values: `Unsynced`, `Present`, `Absent`, `Unknown`
              - `metadataUrl` · object · Optional
                - One of the following variants:
                  - **string** (string)
                  - **null** (null)
              - `payload` · object · Optional
                - One of the following variants:
                  - **InputPayloadStatus** (object)
                    - `videoStandard` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                    - `video` · object · Optional
                      - One of the following variants:
                        - **InputPayloadVideo** (object)
                          - `width` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `height` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `resolution` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `frameRate` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `interlaced` · object · Optional
                            - One of the following variants:
                              - **boolean** (boolean)
                              - **null** (null)
                          - `codec` · object · Optional
                            - One of the following variants:
                              - **VideoCodecStatus** (enum)
                              - **string** (string)
                              - **null** (null)
                          - `bitrate` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `chromaFormat` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `bitDepth` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `aspectRatio` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `quality` · object · Optional
                            - One of the following variants:
                              - **number** (double)
                              - **null** (null)
                        - **null** (null)
                    - `audios` · list of objects · Optional · _Defaults to []_
                      - Array items (object):
                        - `name` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `pid` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `codec` · object · Optional
                          - One of the following variants:
                            - **AudioCodecStatus** (enum)
                            - **string** (string)
                            - **null** (null)
                        - `channelCount` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `channelMode` · object · Optional
                          - One of the following variants:
                            - **AudioModeStatus** (enum)
                            - **string** (string)
                            - **null** (null)
                        - `language` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `samplingRate` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `bitrate` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                  - **null** (null)
              - `type` · string · Optional · _Defaults to Smpte2110_
              - `transport` · object · Optional
                - One of the following variants:
                  - **Smpte2110InputTransportStatus** (object)
                    - `receiving` · boolean · **Required**
                  - **null** (null)
            - **ASI** (object)
              - `health` · object · **Required**
                - `severity` · enum · **Required**
                  - Allowed values: `Critical`, `Major`, `Minor`, `Notice`, `Ignore`, `Clear`
              - `name` · string · **Required** · _1-32 characters_
              - `thumbnailUrl` · object · Optional
                - One of the following variants:
                  - **string** (string)
                  - **null** (null)
              - `thumbnailPresence` · enum · Optional · _Defaults to Unknown_
                - Allowed values: `Unsynced`, `Present`, `Absent`, `Unknown`
              - `metadataUrl` · object · Optional
                - One of the following variants:
                  - **string** (string)
                  - **null** (null)
              - `payload` · object · Optional
                - One of the following variants:
                  - **InputMptsPayloadStatus** (object)
                    - `videoStandard` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                    - `video` · object · Optional
                      - One of the following variants:
                        - **InputPayloadVideo** (object)
                          - `width` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `height` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `resolution` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `frameRate` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `interlaced` · object · Optional
                            - One of the following variants:
                              - **boolean** (boolean)
                              - **null** (null)
                          - `codec` · object · Optional
                            - One of the following variants:
                              - **VideoCodecStatus** (enum)
                              - **string** (string)
                              - **null** (null)
                          - `bitrate` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `chromaFormat` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `bitDepth` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `aspectRatio` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `quality` · object · Optional
                            - One of the following variants:
                              - **number** (double)
                              - **null** (null)
                        - **null** (null)
                    - `audios` · list of objects · Optional · _Defaults to []_
                      - Array items (object):
                        - `name` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `pid` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `codec` · object · Optional
                          - One of the following variants:
                            - **AudioCodecStatus** (enum)
                            - **string** (string)
                            - **null** (null)
                        - `channelCount` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `channelMode` · object · Optional
                          - One of the following variants:
                            - **AudioModeStatus** (enum)
                            - **string** (string)
                            - **null** (null)
                        - `language` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `samplingRate` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `bitrate` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                    - `services` · list of objects · Optional · _Defaults to []_
                      - Array items (object):
                        - `programNumber` · integer · **Required**
                        - `serviceName` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `providerName` · object · Optional
                          - One of the following variants:
                            - **string** (string)
                            - **null** (null)
                        - `selected` · boolean · Optional · _Defaults to false_
                        - `pmtPid` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `pcrPid` · object · Optional
                          - One of the following variants:
                            - **integer** (integer)
                            - **null** (null)
                        - `elementaryStreams` · list of objects · Optional · _Defaults to []_
                          - Array items (object):
                            - `pid` · integer · **Required**
                            - `streamType` · integer · **Required**
                            - `type` · string · **Required**
                            - `language` · object · Optional
                              - One of the following variants:
                                - **string** (string)
                                - **null** (null)
                  - **null** (null)
              - `type` · string · Optional · _Defaults to ASI_
              - `transport` · object · Optional
                - One of the following variants:
                  - **AsiInputTransportStatus** (object)
                    - `receiving` · boolean · **Required**
                    - `bitrate` · object · Optional
                      - One of the following variants:
                        - **integer** (integer)
                        - **null** (null)
                    - `etr290` · object · Optional
                      - One of the following variants:
                        - **Etr290Stats** (object)
                          - `ccError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `tsSyncLoss` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `syncByteError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `transportError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `pmtError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `pidError` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                        - **null** (null)
                    - `fec` · object · Optional
                      - One of the following variants:
                        - **InputTransportFec** (object)
                          - `status` · object · Optional
                            - One of the following variants:
                              - **FecStatus** (enum)
                              - **string** (string)
                              - **null** (null)
                          - `correctedPackets` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `unrecoveredPackets` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                        - **null** (null)
                  - **null** (null)
            - **SatDemod** (object)
              - `health` · object · **Required**
                - `severity` · enum · **Required**
                  - Allowed values: `Critical`, `Major`, `Minor`, `Notice`, `Ignore`, `Clear`
              - `name` · string · **Required** · _1-32 characters_
              - `thumbnailUrl` · object · Optional
                - One of the following variants:
                  - **string** (string)
                  - **null** (null)
              - `thumbnailPresence` · enum · Optional · _Defaults to Unknown_
                - Allowed values: `Unsynced`, `Present`, `Absent`, `Unknown`
              - `metadataUrl` · object · Optional
                - One of the following variants:
                  - **string** (string)
                  - **null** (null)
              - `payload` · object · Optional
                - One of the following variants:
                  - **InputMptsPayloadStatus** (object)
                    - `videoStandard` · object · Optional
                      - One of the following variants:
                        - **string** (string)
                        - **null** (null)
                    - `video` · object · Optional
                      - One of the following variants:
                        - **InputPayloadVideo** (object)
                          - `width` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `height` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `resolution` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `frameRate` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `interlaced` · object · Optional
                            - One of the following variants:
                              - **boolean** (boolean)
                              - **null** (null)
                          - `codec` · object · Optional
                            - One of the following variants:
                              - **VideoCodecStatus** (enum)
                              - **string** (string)
                              - **null** (null)
                          - `bitrate` · object · Optional
                            - One of the following variants:
                              - **integer** (integer)
                              - **null** (null)
                          - `chromaFormat` · object · Optional
                            - One of the following variants:
                              - **string** (string)
                              - **null** (null)
                          - `bitDepth` · object · Optional
[...]
